INCLUDES = $(all_includes) -I$(srcdir)/../core -I../core -I../ipteditor -I../genericinterface
METASOURCES = AUTO
lib_LTLIBRARIES =  libkmfwidgets.la
libkmfwidgets_la_LDFLAGS = -no-undefined $(all_libraries)
libkmfwidgets_la_LIBADD = \
	$(LIB_TDEPARTS) ../core/libkmfcore.la
	

libkmfwidgets_la_SOURCES = kmfchecklistitem.cpp kmfchecklistoutput.cpp \
	kmfdocumentinfo.cpp kmfgenericinterfaceeditprotocol.cpp kmfgenericinterfaceeditprotocol.h \
	kmfhostwidget.cpp kmfinterfacewidget.cpp kmfiptdocoptions.cpp kmfiptdocview.cpp \
	kmfipv4addresswidget.cpp kmflistview.cpp kmflistviewitem.cpp kmfmainwindow.cpp \
	kmfmultiportwidget.cpp kmfmynetworkwidget.cpp kmfnethostpropertieswidget.cpp \
	kmfnetworkwidget.cpp kmfnewdocdlg.cpp kmfobjectinfo.cpp kmfportwidget.cpp kmfprocout.cpp \
	kmfprotocollistview.cpp kmfprotocolpropertieswidget.cpp kmftqtdesignerplugin.cpp \
	kmfselectactivetarget.cpp kmfselectinterface.cpp kmfsystemsettingslinux.cpp \
	kmftemplatechooser.cpp kmftransactionlog.cpp kmyfirewalldocumentinfo.ui \
	kmyfirewallgenericinterfaceeditprotocolwidget.ui kmyfirewallhostwidget.ui kmyfirewallinterfacewidget.ui \
	kmyfirewalliptdocoptions.ui kmyfirewallipv4adddresswidget.ui kmyfirewallmultiportwidget.ui \
	kmyfirewallmynetworkwidget.ui kmyfirewallnethostproperties.ui kmyfirewallnetworkwidget.ui \
	kmyfirewallnewdocument.ui kmyfirewallobjectinfo.ui kmyfirewallportwidget.ui \
	kmyfirewallprotocollistview.ui kmyfirewallprotocolpropertieswidget.ui kmyfirewallselectactivetarget.ui \
	kmyfirewallselectinterface.ui kmyfirewallsystemsettingslinux.ui kmyfirewalltemplatechooser.ui \
	kmyfirewalltransactionlog.ui


libkmfwidgetsincludedir = $(includedir)/kmyfirewall/kmfwidgets/

libkmfwidgetsinclude_HEADERS = kmfprocout.h kmflistview.h kmflistviewitem.h \
	kmfmultiportwidget.h kmfportwidget.h kmfchecklistoutput.h kmfnewdocdlg.h kmfchecklistitem.h \
	kmfmainwindow.h kmfnetworkwidget.h kmfiptdocoptions.h \
	kmfobjectinfo.h kmyfirewallselectinterface.h

noinst_HEADERS = kmfdocumentinfo.h kmfhostwidget.h kmfinterfacewidget.h \
	kmfipv4addresswidget.h kmfmynetworkwidget.h kmfnethostpropertieswidget.h kmfprotocollistview.h \
	kmfprotocolpropertieswidget.h kmftqtdesignerplugin.h kmfselectactivetarget.h kmfsystemsettingslinux.h \
	kmftemplatechooser.h kmftransactionlog.h

